Bug 77078 - "Reverse Axis" does not work for Secondary Axes
Summary: "Reverse Axis" does not work for Secondary Axes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2014-04-05 08:43 UTC by John Perez
Modified: 2019-03-18 22:07 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
ODP slide where the bug is found. (30.37 KB, application/vnd.oasis.opendocument.presentation)
2014-04-05 08:43 UTC, John Perez
Details
ODP slide where the bug is found. (30.37 KB, application/vnd.oasis.opendocument.presentation)
2014-04-05 08:45 UTC, John Perez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Perez 2014-04-05 08:43:57 UTC
Created attachment 96936 [details]
ODP slide where the bug is found.

OVERVIEW
In formatting axes on a Chart element, the "Reverse Axis" function does not work for secondary axes, but works for primary axes. In the case of the attached presentation, I need the primary axis (Dilation) to be in normal order, that is 0 at the bottom and 10 at the top. On the other hand, I need the secondary axis (Station) to be in reverse order, that is +5 at the bottom and -5 at the top.

STEPS TO REPRODUCE
1) Open the attached file.
2) Make the Chart editable by double-clicking the object.
3) Right click on the secondary axis
4) "Format Axis" then "Scale" tab
5) Check "Reverse direction"
6) "OK"

ACTUAL RESULTS: The chart remains the same.

EXPECTED RESULTS: The chart's secondary axis should reverse.

BUILD INFORMATION: version 4.2.3.3 Build: 420m0 on Ubuntu 13.10
Comment 1 John Perez 2014-04-05 08:45:28 UTC
Created attachment 96937 [details]
ODP slide where the bug is found.
Comment 2 Dominique Boutry 2014-04-08 08:53:23 UTC
What I see (LibO 4.2.2.1 on Win7) :
- the "revert" axis button is inoperant for the secondary axis,
- but, when operated for the first axis, it applies to the whole graph (secondary axis included).

So the demand turns to be :
- as is, the button is misleading,
- the "revert axis" feature should be local at axis level, not global at graph level.

IHMO it's the same for "Logarithmic scale".
Comment 3 A (Andy) 2014-05-29 11:42:32 UTC
reproducible with LO 4.2.4.2 (Win 8.1) and I would agree with the comments
Comment 4 QA Administrators 2016-02-21 08:36:03 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-03-06 15:24:44 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306